﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel;
using System.ServiceModel.Activation;

namespace WcfServer
{
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall)]
    [Common.MyServiceBehavior()]
    public class Service1Impl : BaseClass.ServiceBase, IService1
    {
       
        #region IService1 Members

        public User GetUserByID(int id, string communCode, out CallException callException)
        {
            callException = null;
            User user = null;
            BLL.UserBLL userBll = Common.ServiceLocator.LoadService<BLL.UserBLL>();
            user= userBll.GetUserByID(id, out callException);
            return user;
        }

        //[Common.AuthenticationBehavior()]
        public BaseClass.EntityBase GetByIDWithAuthentication(int id, out CallException callException)
        {
            callException = null;
            User user = null;
            BLL.UserBLL userBll = Common.ServiceLocator.LoadService<BLL.UserBLL>();
            user = userBll.GetByID(id, out callException);
            return user;
        }

        #endregion
    }
}