﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel;
using System.ServiceModel.Activation;

namespace WcfServer
{
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall)]
    public class Service2Impl :BaseClass.ServiceBase , IService2, IUserAuth
    {


        #region IUserAuth Members

        public bool IsValid(User user, out CallException callException)
        {
            callException = null;
            bool result = false;
            if (user.Username.Equals("swb") && user.CommunCode.Equals("123"))
            {
                result = true;
            }
            else
            {
                callException = new CallException() { Message = "username not math communcode" };
            }
            return result;
        }

        #endregion

        public bool Logon(User user, out string communCode, out CallException callException)
        {
            communCode = string.Empty;
            callException = null;
            if (user.Username.Equals("swb"))
            {
                communCode = "123";
                return true;
            }
            else
            {
                callException = new CallException() { Message = "Username error" };
                return false;
            }
        }

        public User GetUserById(User user, int id, out bool isUserValid, out CallException callException)
        {
            callException = null;
            isUserValid = false;
            if (IsValid(user, out callException) == false)
            {
                isUserValid = false;
                return null; ;
            }
            return new User();

        }

        public bool AddUser(User user, out bool isUserValid, out CallException callException)
        {
            callException = null;
            isUserValid = false;
            if (IsValid(user, out callException) == false)
            {
                isUserValid = false;
                return false;
            }

            return true;
        }

    }
}