﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WcfConsumer.Commands
{
    public class PersonFindCommand:ICommand
    {
        public ViewModels.PersonViewModel _vm;
        public PersonFindCommand(ViewModels.PersonViewModel vm)
        {
            _vm = vm;
        }
        #region ICommand Members

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged
        {
            add { }
            remove { }
        }


        public void Execute(object parameter)
        {
            _vm.Find();
        }

        #endregion
    }
}
