﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Unity.InterceptionExtension;
using Microsoft.Practices.Unity.Configuration;

namespace WcfServer.Common
{

    public class DALHelper : ContextBoundObject
    {
        private  readonly TransparentProxyInterceptor injector = new TransparentProxyInterceptor();

        public  DAL.IUserDAL UserDal
        {
            get
            {
                Common.ServiceLocator.Container.Configure<Interception>().SetDefaultInterceptorFor<DAL.IUserDAL>(injector);
                return Common.ServiceLocator.LoadService<DAL.IUserDAL>();
            }
            set
            {
                ;
            }
        }
    }
    public class IDALHelper
    {
    }
}